RE: s390 problem with libc

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

RE: s390 problem with libc

cpnguser

If this is the wrong list, I appologize. I am working with the linux from
scratch doc to build an s390 linux system from scratch.  I am running into
a problem with GAWK where it is not correctly recognizing the field
separator.
I have been able to narrow the problem down to the loader.  If I use the
driving system loader, the field separator is handled properly.  If I use
the loader from my GLIBC build, I have the problem with the field separator.
I am building GLIBC version 2.3.4 with the following options:

--disable-profile --enable-add-ons \
--enable-kernel=2.6.0 --with-binutils=/tools/bin \
--without-gd --with-headers=/tools/include \
--without-selinux

Are there any additional parameters or patches that I should be using with
this build.

Thanks,
Chris Parker

Reply | Threaded
Open this post in threaded view
|

RE: s390 problem with libc

cpnguser
Is this the right list to be posting this question to?  Someone had to have
done the s390 port.  How can I get help with this problem?

Thanks,
Chris

-----Original Message-----
From: [hidden email]
[mailto:[hidden email]]On Behalf Of Christopher Parker
Sent: Tuesday, October 31, 2006 7:58 AM
To: [hidden email]
Subject: RE: s390 problem with libc



If this is the wrong list, I appologize. I am working with the linux from
scratch doc to build an s390 linux system from scratch.  I am running into
a problem with GAWK where it is not correctly recognizing the field
separator.
I have been able to narrow the problem down to the loader.  If I use the
driving system loader, the field separator is handled properly.  If I use
the loader from my GLIBC build, I have the problem with the field separator.
I am building GLIBC version 2.3.4 with the following options:

--disable-profile --enable-add-ons \
--enable-kernel=2.6.0 --with-binutils=/tools/bin \
--without-gd --with-headers=/tools/include \
--without-selinux

Are there any additional parameters or patches that I should be using with
this build.

Thanks,
Chris Parker

Reply | Threaded
Open this post in threaded view
|

Re: s390 problem with libc

Mike Frysinger
On Monday 13 November 2006 22:53, Christopher Parker wrote:
> Is this the right list to be posting this question to?  Someone had to have
> done the s390 port.  How can I get help with this problem?

i dont know why you're bothering with glibc-2.3.4 considering that thing is
almost 2 years old now and considering IBM has never recommended it ... they
do however recommend glibc-2.4 and both 2.4 and 2.5 work fine on my s390
systems
-mike

attachment0 (844 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

RE: s390 problem with libc

cpnguser
This is the version specified in the documentation. I will try an updated
version and see if this fixes the problem.

Thanks,
Chris

-----Original Message-----
From: [hidden email]
[mailto:[hidden email]]On Behalf Of Mike Frysinger
Sent: Monday, November 13, 2006 10:06 PM
To: [hidden email]
Cc: Christopher Parker
Subject: Re: s390 problem with libc


On Monday 13 November 2006 22:53, Christopher Parker wrote:
> Is this the right list to be posting this question to?  Someone had to
have
> done the s390 port.  How can I get help with this problem?

i dont know why you're bothering with glibc-2.3.4 considering that thing is
almost 2 years old now and considering IBM has never recommended it ... they
do however recommend glibc-2.4 and both 2.4 and 2.5 work fine on my s390
systems
-mike